import subprocess


def test_modem_usb():
    "Test if the modem is visible on the USB bus"
    out = subprocess.check_output(["lsusb", "-d", "1e0e:9001"])
    assert(b"Qualcom" in out)


def test_modem_modem_manager():
    "Test if modem manager picked up the modem"
    out = subprocess.check_output(["mmcli", "-m", "0"])
    assert(b"model: SIMCOM_SIM7100" in out)


def test_modem_alsa():
    "Test if the modem is seen by alsa"
    out = subprocess.run(["aplay", "-l"], capture_output=True)
    assert(out.returncode == 0)
    assert(b": SIM7100 [SIMCom SIM7100]" in out.stdout)
